#include "ElaApplication.h"
#include "clipboard.h"
#include "winSpy.h"
#include "window.h"
#include <QApplication>
#include <QScreen>
#ifdef Q_OS_WIN
    #include <Windows.h>
#endif

int main(int argc, char *argv[]) {
    QApplication a(argc, argv);
// 设置消息模式：输出时间、类型、文件、行号和消息本身
#ifdef QT_MESSAGELOGCONTEXT
    qSetMessagePattern("[%{time yyyy-MM-dd HH:mm:ss.zzz}] [%{type}] %{file}:%{line} - %{message}");
#else
    qSetMessagePattern("[%{time yyyy-MM-dd HH:mm:ss.zzz}] [%{type}] - %{message}");
#endif
    // 设置监听剪贴板
    ClipboardMonitor cbm(&a);
    // 设置监听系统窗口焦点变化
    WinSpy spy;
    eApp->init();
    MainWindow w;
    w.show();
    return a.exec();
}
